DORMANTno replies

[PATCH] git-diff: add a test for git diff --quiet -w

From: Larry D'Anna <hidden>
Date: 2016-06-15 22:48:19
Subsystem: the rest · Maintainer: Linus Torvalds

This patch adds two test cases for:

6977c25 git diff --quiet -w: check and report the status

Signed-off-by: Larry D'Anna <redacted>
---
 t/t4017-diff-retval.sh |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)
diff --git a/t/t4017-diff-retval.sh b/t/t4017-diff-retval.sh
index 60dd201..14f80ca 100755
--- a/t/t4017-diff-retval.sh
+++ b/t/t4017-diff-retval.sh
@@ -5,6 +5,9 @@ test_description='Return value of diffs'
 . ./test-lib.sh
 
 test_expect_success 'setup' '
+	echo "1 " >a &&
+	git add . &&
+	git commit -m zeroth &&
 	echo 1 >a &&
 	git add . &&
 	git commit -m first &&
@@ -13,6 +16,16 @@ test_expect_success 'setup' '
 	git commit -a -m second
 '
 
+test_expect_success 'git diff --quiet -w  HEAD^^ HEAD^' '
+	git diff --quiet -w HEAD^^ HEAD^
+	test $? = 0
+'
+
+test_expect_success 'git diff --quiet -w  HEAD^ HEAD' '
+	git diff --quiet -w HEAD^ HEAD
+	test $? = 1
+'
+
 test_expect_success 'git diff-tree HEAD^ HEAD' '
 	git diff-tree --exit-code HEAD^ HEAD
 	test $? = 1
-- 
1.7.0.rc2.40.g7d8aa
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help